<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add message
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add Message");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Private Message - send message");

if ($pf == "add") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("message", $lang['a_empty_message']);
	if (zero::IsError())
	  EndScript();
	$message_id = zero::AddMessage($subject, $message, $staffs_selected);
	zero::Redirect("message_add.php?message_id={$message_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($message_id);

$smarty_tpl->assign("staffs_options", zero::GetStaffsOptions());
$smarty_tpl->assign("page_sub_title", "- Send Private Message");
zero::DisplayStaff("message_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $message;

	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("message", htmlentities($message));
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("staffs_options", zero::GetStaffsOptions());
	zero::DisplayStaff("message_add.tpl");
	exit;
}

function GetConfirmation($message_id) {
  global $smarty_tpl;
  
	$message = zero::GetMessage($message_id);
	if (!$message)
		zero::Redirect("message_browse.php");
	if (time() - $message['date_created'] > 300)
	  zero::Redirect("message_browse.php");
	$smarty_tpl->assign("message", $message);
	$smarty_tpl->assign("confirmation", "message_created");
  $smarty_tpl->assign("page_sub_title", "- Send Private Message");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
