<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse news
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse News");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "News - browse news");

if ($pf == "delete") {
	if (isset($news_id)) {
		if (!zero::DeleteNews($news_id)) {
		  $errors[] = "You have no right to delete this news";
		  $smarty_tpl->assign("errors", $errors);
		}
	}
}
elseif ($pf == "toggle") {
  if (isset($news_id)) {
		zero::ToggleDisabledNews($news_id);
  }
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
$num_news = count(zero::GetNews($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_news)
  $offset = 0;
$news = zero::GetNews($search_words, $order1, $order2, $offset, $limit);
$smarty_tpl->assign("news", $news);
$pagination	= zero::GetPagination("news_browse.php", $request, $num_news, $offset, $limit);
if (count($news))
	if ($num_news / count($news) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"creator"=>"Creator",
												"date_created"=>"Date created",
												"date_modified"=>"Date modified",
												"subject"=>"Subject"
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Browse News");
zero::DisplayStaff("news_browse.tpl");

?>
