<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Predefined replies
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Predefined Reply");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Predefined Replies");

if ($pf == "add") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("reply", $lang['a_empty_reply']);
	if (zero::IsError())
	  EndScript();
	zero::AddPredefinedReply($subject, $reply, $is_all_access, $staff_id);
	zero::Redirect("predefined_reply.php");
}
else if ($pf == "delete") {
	zero::DeletePredefinedReply($id);
}
ShowData();
$smarty_tpl->assign("page_sub_title", "- Predefined Replies");
zero::DisplayStaff("predefined_reply.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $reply, $is_all_access;

  $smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("reply", htmlentities($reply));
	$smarty_tpl->assign("is_all_access", $is_all_access);
	$smarty_tpl->assign("errors", $errors);
	ShowData();
	$smarty_tpl->assign("page_sub_title", "- Predefined Replies");
	zero::DisplayStaff("predefined_reply.tpl");
	exit;
}

function ShowData() {
  global $smarty_tpl, $offset, $staff_id;
	$limit = 10;
	$request = $_SERVER[QUERY_STRING];
	$replies_all = zero::GetPredefinedReplies($staff_id);
	$num_replies_all = count($replies_all);
	if (!isset($offset) || $offset < 0 || $offset >= $num_replies_all )
	  $offset = 0;
	$replies 		= zero::GetPredefinedReplies($staff_id, $offset, $limit);
	$pagination	= zero::GetPagination("predefined_reply.php", $request, $num_replies_all, $offset, $limit);
	$smarty_tpl->assign("replies", $replies);
	$smarty_tpl->assign("staff", zero::GetStaff($staff_id));
	if (count($replies))
		if ($num_replies_all / count($replies) > 1)
			$smarty_tpl->assign("pagination", $pagination);
}

?>
