<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006 
// |-------------------------------------------------------------|
// | File Details:
// | - Submit a ticket
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/ticket_submit.php");
zero::StartSession("Ticket Submit User");

$smarty_tpl->assign("main_page","ticket_submit");
if (zero::IsUserLoggedIn()) {
  $smarty_tpl->assign("logged_in", 1);
  $email = $_COOKIE['DESKTINY_USER_EMAIL'];
  $smarty_tpl->assign("email", $email);
}
$smarty_tpl->assign("department_options", zero::GetDepartmentOptions());
$smarty_tpl->assign("priority_options", zero::GetPriorityOptions());
$smarty_tpl->assign("priority_id", 2);
zero::SetTicketCustomField();
if ($pf == "submit") {
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("message", $lang['a_empty_message']);
	zero::IsEmptyTicketCustomFields();
	if (zero::IsError())
	  EndScript();
	if (zero::IsBannedEmail($email))
	  EndScript();
	if (zero::IsBannedIP($_SERVER[REMOTE_ADDR]))
	  EndScript();
	$customfields = zero::GetGPCCustomFields();
	$ticket_ref = zero::UserSubmitTicket($department, $priority, $email, $subject, $message, $customfields, $_SERVER[REMOTE_ADDR]);
	zero::Redirect("ticket_submit.php?ticket_ref={$ticket_ref}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($ticket_ref);

zero::DisplayFront("ticket_submit.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $department, $priority, $email, $subject, $message;

	$smarty_tpl->assign("department_id", $department);
	$smarty_tpl->assign("priority_id", $priority);
	$smarty_tpl->assign("email", htmlentities($email));
	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("message", htmlentities($message));
	$smarty_tpl->assign("errors", $errors);
	zero::SetTicketCustomField(true);
	zero::DisplayFront("ticket_submit.tpl");
	exit;
}

function GetConfirmation($ticket_ref) {
	global $smarty_tpl;
	
	$ticket = zero::GetTicket($ticket_ref);
	if (!$ticket)
		zero::Redirect("ticket_submit.php");
	if (time() - $ticket['date_created'] > 300)
	  zero::Redirect("ticket_submit.php");
	$customfields = zero::GetTicketCustomFields($ticket_ref, false);
	$smarty_tpl->assign("ticket", $ticket);
	$smarty_tpl->assign("customfields", $customfields);
	$smarty_tpl->assign("confirmation", "ticket_submitted");
	zero::DisplayFront("confirmation.tpl");
	exit;
}

?>
