<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit email template
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Email Template");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Email Template - edit email template");

if (!zero::IsEmailTemplateExist($email_template_id))
	zero::Redirect("email_template_browse.php");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("body", $lang['a_empty_template']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateEmailTemplate($email_template_id, 1, $subject, $body);
	if (zero::IsError())
	  EndScript();
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "restore") {
  zero::RestoreEmailTemplate($email_template_id, 1);
}
elseif ($pf == "replace") {
  zero::ReplaceEmailTemplateBackup($email_template_id, 1, $subject, $body);
	if (zero::IsError())
	  EndScript();
	$smarty_tpl->assign("success", 2);
}

$email_template = zero::GetEmailTemplate($email_template_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Email Template ( {$email_template['name']} )");
zero::DisplayStaff("email_template_edit.tpl");

function ShowData() {
	global $smarty_tpl, $email_template_id, $email_template;

  $smarty_tpl->assign("email_template_langs", zero::GetEmailTemplateOtherLang($email_template_id, 1));
	$email_template['subject'] = htmlentities($email_template['subject']);
	$email_template['body'] = htmlentities($email_template['body']);
	$smarty_tpl->assign("email_template", $email_template);
	$smarty_tpl->assign("email_template_id", $email_template_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $body, $email_template_id;

	$email_template = zero::GetEmailTemplate($email_template_id, 1);
	$email_template['subject'] = htmlentities($subject);
	$email_template['body'] = htmlentities($body);
	$smarty_tpl->assign("email_template", $email_template);
  $smarty_tpl->assign("email_template_langs", zero::GetEmailTemplateOtherLang($email_template_id));
	$smarty_tpl->assign("email_template_id", $email_template_id);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit Email Template ( {$email_template['name']} )");
	zero::DisplayStaff("email_template_edit.tpl");
	exit;
}

?>
