<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Language");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Language - edit language");

if (!zero::IsLanguageExist($language_id))
	zero::Redirect("language_browse.php");

if ($pf == "update") {
	$tinymce_ref = strtolower($tinymce_ref);
	$associate_lang_dir = strtolower($associate_lang_dir);
	zero::IsEmpty("name", $lang['a_empty_name']);
	zero::IsEmpty("tinymce_ref", $lang['a_empty_tinymce']);
	zero::IsEmpty("associate_lang_dir", $lang['a_empty_lang_dir']);
	zero::IsEmpty("hidden_locale", $lang['a_empty_locale']);
	//zero::IsExistLangDir($associate_lang_dir, "Directory {$associate_lang_dir} is already exist", $language_id);
	if (zero::IsError())
	  EndScript();
	zero::UpdateLanguage($language_id, $name, $tinymce_ref, $associate_lang_dir, $hidden_locale, $is_disabled);
	$smarty_tpl->assign("success", 1);
}
$language = zero::GetLanguage($language_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Language ( {$language['name']} )");
zero::DisplayStaff("language_edit.tpl");

function ShowData() {
	global $smarty_tpl, $language_id, $language;

	$language['name'] = htmlentities($language['name']);
	$language['tinymce_ref'] = htmlentities($language['tinymce_ref']);
	$language['associate_lang_dir'] = htmlentities($language['associate_lang_dir']);
	$smarty_tpl->assign("hidden_locale", zero::GetLocaleStr($language_id));
	$smarty_tpl->assign("language", $language);
	$smarty_tpl->assign("language_id", $language_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $tinymce_ref, $associate_lang_dir, $language_id;

	$language = zero::GetLanguage($language_id);
	$language['name'] = htmlentities($name);
	$language['tinymce_ref'] = htmlentities($tinymce_ref);
	$language['associate_lang_dir'] = htmlentities($associate_lang_dir);
	$smarty_tpl->assign("hidden_locale", zero::GetLocaleStr($language_id));
	$smarty_tpl->assign("language", $language);
	$smarty_tpl->assign("language_id", $language_id);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit Language ( {$name} )");
	zero::DisplayStaff("language_edit.tpl");
	exit;
}

?>
